スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。
総合案内当ブログについて
Windowsの目次Linuxの目次Linuxの目次2・ ・自作PC関連の目次Web技術関連の目次
全記事一覧情報サイト新着RSS一覧

Sponsored Link

phoronix-test-suiteのためにphp-gtk(玉砕)

phoronix-test-suiteがいつの間にかv3.0.1になってて、今までの設定というかインストールしたベンチがそのまま使えなくなってた。
run openarenaしたら新しくDLしてインストールとか。しかもinstall allが使えなくなってて、TestごとかSuitesごとに入れなおさなきゃいけないみたい。(install pts/allでいける?)
/home以下の./phoronix-test-suiteは結構容量くってたので、この際全部削除して最初からやり直すことに。
ついでにGUI起動にも挑戦。

まずは適当にベンチを入れてみる
TEST INSTALLATION

install [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
install-dependencies [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
make-download-cache
remove-installed-test [Test]

TESTING

benchmark [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
finish-run [Test Result]
recover-run [Unknown Object]
run [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
run-tests-in-suite

BATCH TESTING

batch-benchmark [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
batch-install [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
batch-run [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
batch-setup
default-benchmark [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
default-run [Test | Suite | OpenBenchmarking.org ID | Test Result] ...

OPENBENCHMARKING.ORG

clone-result [OpenBenchmarking.org ID] ...
openbenchmarking-launcher
openbenchmarking-login
openbenchmarking-refresh
upload-result [Test Result]

SYSTEM

diagnostics
system-info
system-sensors

INFORMATION

info [Test | Suite | OpenBenchmarking.org ID | Test Result]
list-available-suites
list-available-tests
list-available-virtual-suites
list-installed-dependencies
list-installed-suites
list-installed-tests
list-missing-dependencies
list-possible-dependencies
list-saved-results
list-test-usage

ASSET CREATION

debug-install [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
debug-run [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
debug-test-download-links [Test | Suite]
force-install [Test | Suite | OpenBenchmarking.org ID | Test Result] ...
result-file-to-suite [Test Result]
validate-result-file
validate-test-profile
validate-test-suite

RESULT MANAGEMENT

copy-run-in-result-file [Test Result]
extract-from-result-file [Test Result]
merge-results [Test Result] ...
refresh-graphs [Test Result]
remove-from-result-file [Test Result]
remove-result [Test Result]
rename-identifier-in-result-file [Test Result]
reorder-result-file [Test Result]
result-file-to-csv [Test Result]
show-result [Test Result]

RESULT ANALYTICS

analyze-all-runs [Test Result]
analyze-batch [Test Result]
analyze-image-delta [Test Result]

OTHER

build-suite
help
network-setup
rebuild-composite-xml [Test Result]
result-file-to-pdf [Test Result]
result-file-to-text [Test Result]
user-config-get
user-config-reset
user-config-set
version

MODULES

list-modules
module-info [Phoronix Test Suite Module]
module-setup [Phoronix Test Suite Module]
test-module [Phoronix Test Suite Module]
$ phoronix-test-suite list-available-suites
で今あるテストセットのリストが表示されるので、入れたいのをそのまま入れる。

$ phoronix-test-suite install pts/video-encoding

The following PHP extensions are optional but recommended by the Phoronix Test Suite:

CURL PHP CURL is recommended for a better download experience.

Phoronix Test Suite v3.0.1
User Agreement

The Phoronix Test Suite is the most comprehensive testing and
benchmarking platform available for Linux, OpenSolaris, Mac OS X,
and BSD operating systems. The Phoronix Test Suite is designed to
carry out tests in a clean, reproducible, and easy-to-use manner.

- The Phoronix Test Suite is open-source and licensed under the
GNU GPLv3. However, some tests supported by the Phoronix Test
Suite are not open-source software or available for free of
charge.

- The Phoronix Test Suite contains tests which may stress your
system and in some cases could exhibit stability problems of the
system's hardware or software configuration. The Phoronix Test
Suite is provided WITHOUT ANY WARRANTY. In no event shall
OpenBenchmarking.org, Phoronix Media, the Phoronix Test Suite, or
any associated stakeholder be liable to any party for any direct
or indirect damages for any use of OpenBenchmarking.org --
including, without limitation, any lost profits, business
interruption, loss of programs, loss of programmed data, or
otherwise.

- For enterprise support, sponsorship, or other professional
inquiries, contact phoronix@phoronix.com. Community support can
be found in the Phoronix Forums at
http://www.phoronix.com/forums/.

- If you opt to submit your test results to OpenBenchmarking.org,
the final results as well as basic hardware and software details
(what is shown in the results viewer) will be shared and publicly
accessible through http://www.openbenchmarking.org/.

- Public bug reports, feature requests, and other issues can be
brought up in the Phoronix Test Suite forums, mailing list, or a
direct email to Phoronix Media.

Anonymous Usage Reporting / Statistics: If enabling the anonymous
usage reporting / statistics feature, some information about the
Phoronix Test Suite runs will be submitted to
OpenBenchmarking.org. This information is used for analytical
purposes, including but not limited to, determining the most
popular tests / suites and calculating average run-times for
different test profiles. The test results are not reported in
this process nor the installed software / hardware information,
but ambient information about the testing process. This
information is stored anonymously. More information on this
feature is available with the included documentation.

Anonymous Software / Hardware Reporting: If enabling the
anonymous hardware / software reporting, general information on
your installed hardware / software components will be reported to
OpenBenchmarking.org. Hardware information is general details
such as, but not limited to, the installed CPU, motherboard, and
other general components. Software information is general and
contains details such as your operating system, graphics
processor driver, kernel, and software architecture. No personal
information is collected. This information is pooled along with
the submissions from all other users to show general trends and
other details on OpenBenchmarking.org.

For more information on the Phoronix Test Suite and its features,
visit http://www.phoronix-test-suite.com/ or view the included
documentation.

Do you agree to these terms and wish to proceed (Y/n): y
Enable anonymous usage / statistics reporting (Y/n): y
Enable anonymous statistical reporting of installed software / hardware (Y/n): y

To Install: pts/mplayer-base-1.1.0
To Install: pts/video-sample-1.0.0
To Install: pts/mencoder-1.3.0
To Install: pts/ffmpeg-1.5.0
To Install: pts/x264-1.2.0

Determining File Requirements ..........................................
Searching Download Caches ..............................................

5 Tests To Install
7 Files To Download [502.03MB]
541MB Of Disk Space Is Needed

pts/mplayer-base-1.1.0:
Test Installation 1 of 5
1 File Needed [15.46 MB]
Downloading: mplayer-vaapi-20100602-FULL.tar.bz2 [15.46MB]
Downloading ........................................................
Installation Size: 30.0 MB
Installing Test @ 10:13:26
こんな感じ。しかし一個づつというのが面倒ではある。まぁ、全部使うことなんてないからry

で、GUIがあるんだけど、これは以前にも何度かやろうとして挫折してた。
【Ubuntu 10.04】Phoronix Test SuiteとPHP-GTK2
Compiling PHP-GTK fails on Karmic ("LTOPTIONS_VERSION: command not found" etc.)
なんか成功したらしいので、これを参考にやってみる。
$ sudo apt-get install libgtksourceview2.0-dev libsexy-dev xulrunner-dev libqscintilla2-dev libgtkhtml3.14-dev libgtkspell-dev
$ cd src
$ svn co http://svn.php.net/repository/pecl/cairo/trunk pecl-cairo
$ phpize
bash: phpize: コマンドが見つかりません
お?
http://forums.debian.net/viewtopic.php?f=8&t=18372
php5-devに入ってるらしい
$ sudo apt-get install php5-dev
改めて
$ phpize
Configuring for:
PHP Api Version: 20090626
Zend Module Api No: 20090626
Zend Extension Api No: 220090626
$ ./configure
$ make
$ sudo make install
Installing shared extensions: /usr/lib/php5/20090626/
Installing header files: /usr/include/php5/

$ cd ..
$ svn co http://svn.php.net/repository/gtk/php-gtk/trunk php-gtk
$ cd php-gtk
$ ./buildconf
Configuring for:
PHP Api Version: 20090626
Zend Module Api No: 20090626
Zend Extension Api No: 220090626
rebuilding aclocal.m4
rebuilding configure
configure.in:150: warning: LTOPTIONS_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:2953: LT_INIT is expanded from...
aclocal.m4:2991: AC_PROG_LIBTOOL is expanded from...
configure.in:150: the top level
configure.in:150: warning: LTSUGAR_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:2953: LT_INIT is expanded from...
aclocal.m4:2991: AC_PROG_LIBTOOL is expanded from...
configure.in:150: the top level
configure.in:150: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:2953: LT_INIT is expanded from...
aclocal.m4:2991: AC_PROG_LIBTOOL is expanded from...
configure.in:150: the top level
configure.in:150: warning: LTOBSOLETE_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:2953: LT_INIT is expanded from...
aclocal.m4:2991: AC_PROG_LIBTOOL is expanded from...
configure.in:150: the top level
configure:11988: error: possibly undefined macro: m4_ifval
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
configure:15319: error: possibly undefined macro: _LT_SET_OPTIONS
configure:15319: error: possibly undefined macro: LT_INIT
make[1]: *** [configure] エラー 1
make: *** [all] エラー 2
確かにこける
$ cd /usr/share/aclocal
$ chmod 777 libtool.m4
chmod: changing permissions of `libtool.m4': 許可されていない操作です
tmin@debian:/usr/share/aclocal$ cat lt~obsolete.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 >> libtool.m4
bash: libtool.m4: 許可がありません
仕方ない
$ sudo chmod 777 libtool.m4
$ cat lt~obsolete.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 >> libtool.m4
$ sudo chmod 644 libtool.m4

/home/src/php-gtkに戻って
$ ./buildconf
rebuilding configure
configure.in:150: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:2953: LT_INIT is expanded from...
aclocal.m4:2991: AC_PROG_LIBTOOL is expanded from...
configure.in:150: the top level
rebuilding config.h.in
configure.in:150: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:2953: LT_INIT is expanded from...
aclocal.m4:2991: AC_PROG_LIBTOOL is expanded from...
configure.in:150: the top level
おっけ
$ ./configure
$ make
libtool: Version mismatch error. This is libtool 2.4 Debian-2.4-2, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.4 Debian-2.4-2
libtool: and run autoconf again.

おっとこれは・・・
$ cat /usr/share/aclocal/ltoptions.m4 /usr/share/aclocal/ltversion.m4 /usr/share/aclocal/ltsugar.m4 /usr/share/aclocal/lt~obsolete.m4 >>aclocal.m4
でやり直し
$ ./buildconf
rebuilding configure
rebuilding config.h.in
$ ./configure
$ make
これで通った
$ sudo make install
[sudo] password for tmin:
/bin/bash /home/tmin/src/php-gtk/libtool --mode=install cp ./php_gtk2.la /home/tmin/src/php-gtk/modules
libtool: install: cp ./.libs/php_gtk2.so /home/tmin/src/php-gtk/modules/php_gtk2.so
libtool: install: cp ./.libs/php_gtk2.lai /home/tmin/src/php-gtk/modules/php_gtk2.la
libtool: finish: PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin:/sbin" ldconfig -n /home/tmin/src/php-gtk/modules
----------------------------------------------------------------------
Libraries have been installed in:
/home/tmin/src/php-gtk/modules

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
- add LIBDIR to the `LD_LIBRARY_PATH' environment variable
during execution
- add LIBDIR to the `LD_RUN_PATH' environment variable
during linking
- use the `-Wl,-rpath -Wl,LIBDIR' linker flag
- have your system administrator add LIBDIR to `/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
Installing shared extensions: /usr/lib/php5/20090626/
Installing header files: /usr/include/php5/

よくわからんけど設定
~/src/php-gtk$ sudo su -
~# rm /etc/php5/cli/conf.d
~# mkdir /etc/php5/cli/conf.d
~# cd /etc/php5/cli/conf.d
/etc/php5/cli/conf.d# for i in /etc/php5/conf.d/*; do ln -s $i ;done

/etc/php5/cli/conf.d# echo "extension=/usr/lib/php5/20090626+lfs/php_gtk2.so" > /etc/php5/cli/conf.d/php_gtk2.ini
/etc/php5/cli/conf.d# echo "extension=/usr/lib/php5/20090626+lfs/cairo.so" > /etc/php5/cli/conf.d/cairo.ini
/etc/php5/cli/conf.d# exit

$ php -m |grep php-gtk
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/cairo.so' - /usr/lib/php5/20090626+lfs/cairo.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/php_gtk2.so' - /usr/lib/php5/20090626+lfs/php_gtk2.so: cannot open shared object file: No such file or directory in Unknown on line 0
あぁ、コピペしたのみすったのね。俺のところでは/usr/lib/20090626/じゃないと

というわけでまたやり直し
~/src/php-gtk$ sudo su -
~# rm /etc/php5/cli/conf.d
~# mkdir /etc/php5/cli/conf.d
~# cd /etc/php5/cli/conf.d
/etc/php5/cli/conf.d# for i in /etc/php5/conf.d/*; do ln -s $i ;done

/etc/php5/cli/conf.d# echo "extension=/usr/lib/php5/20090626/php_gtk2.so" > /etc/php5/cli/conf.d/php_gtk2.ini
/etc/php5/cli/conf.d# echo "extension=/usr/lib/php5/20090626/cairo.so" > /etc/php5/cli/conf.d/cairo.ini
/etc/php5/cli/conf.d# exit

$ php -m |grep php-gtk

(-:18390): atk-bridge-WARNING **: AT_SPI_REGISTRY was not started at session startup.

(-:18390): atk-bridge-WARNING **: IOR not set.

(-:18390): atk-bridge-WARNING **: Could not locate registry
php-gtk

おっとこれは・・・

ちなみに目的だったPhoronixのGUI
$ phoronix-test-suite

(phoronix-test-suite.php:22075): atk-bridge-WARNING **: AT_SPI_REGISTRY was not started at session startup.

(phoronix-test-suite.php:22075): atk-bridge-WARNING **: IOR not set.

(phoronix-test-suite.php:22075): atk-bridge-WARNING **: Could not locate registry

Phoronix Test Suite v3.0.1 (Iveland)
この後CUIで起動する。待ち時間が伸びただけ。。。OTL

もう一個参考
PHP-GTK 2 のインストール 前 Linux でのインストール

うーむ。/php-gtk削除して何度かやり直してみたけどどうにもならんw

関連記事
Linux用総合ベンチマーク phoronix-test-suite をUbuntuに導入
Phoronix Test Suite試してみたよ(一部
スポンサーサイト
総合案内当ブログについて
Windowsの目次Linuxの目次Linuxの目次2・ ・自作PC関連の目次Web技術関連の目次
全記事一覧情報サイト新着RSS一覧

Sponsored Link

Catalyst11.4 released

Catalyst11.4がようやくリリース。
今回は待ち遠しかった。

Linuxの方はAMD Puts Out Catalyst 11.4 With X Server 1.10 Support
DLはATI Catalyst™ Proprietary Display Driver - Linux x86 & Linux x86_64

Windowsの方は「Catalyst 11.4」がようやく登場。ドライバ更新通知機能などControl Centerの刷新が正式実装に

いや、11.3ではカーネル2.6.38に対応してないとか何とか言う話で。
実際俺のとこのDebianでもSUSEでもインストールでこけてたんですね。DKMSなんたらFailedって。
で、Debianはずっと2.6.37でたちあげてたんです。なので待ち遠しかったと。

で、早速入れてみたんだけど、ダメw
いや、待て。Ubuntu 11.04, Fedora 16, Arch Linuxに対応しててDebianでダメってことはないだろう・・・と試行錯誤すること小一時間。
# ./ati-driver-installer-11-4-x86.x86_64.run --buildpkg Debian/sid
パッケージをつくろうとしてみるもエラー。

リカバリーモードから2.6.38-2立ち上げてインストールしてみるもエラー。

Creating symlink /var/lib/dkms/fglrx/8.841/source ->
/usr/src/fglrx-8.841

DKMS: add Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
cd /var/lib/dkms/fglrx/8.841/build; sh make.sh --nohints --uname_r=2.6.38-2-amd64 --norootcheck.....(bad exit status: 1)
0
0
[Error] Kernel Module : Failed to build fglrx-8.841 with DKMS
[Error] Kernel Module : Removing fglrx-8.841 from DKMS

------------------------------
Deleting module version: 8.841
completely from the DKMS tree.
------------------------------
Done.
[Reboot] Kernel Module : update-initramfs


うーん。
DKMSをアンインストールして同じくやってみるもエラー。

おかしい。
で、久々にSynaptic起動してdkms、fglrxで検索かけてみるとあるんですね。
fglrx-modules-dkms (1:11-3-1)←これが重要?
fglrx-driver (1:11-3-1)
fglrx-glx (1:11-3-1)
fglrx-glx-ia32 (1:11-3-1)
というわけで、サイトから落としたCatalyst11.4入れた状態のまま2.6.37カーネルからこの4つを入れてみると・・・
なんと起動しましたね。というか、インストール時のメッセージでこけてなかったんで、かなり期待したんですが、呆気無く起動。
普通のDKMSでもカーネルモジュール設定時に勝手になんかやってくれてるみたいなんだけど、fglrx-modules-dkms入れるとこんな感じ。

fglrx-modules-dkms (1:11-4-1) を設定しています ...

Creating symlink /var/lib/dkms/fglrx/11-4/source ->
/usr/src/fglrx-11-4

DKMS: add Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.37-1-amd64 -C /lib/modules/2.6.37-1-amd64/build M=/var/lib/dkms/fglrx/11-4/build.....
cleaning build area....

DKMS: build Completed.

fglrx.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/2.6.37-1-amd64/updates/dkms/

depmod....

DKMS: install Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.37-2-amd64 -C /lib/modules/2.6.37-2-amd64/build M=/var/lib/dkms/fglrx/11-4/build.....
cleaning build area....

DKMS: build Completed.

fglrx.ko:
Running module version sanity check.
- Original module
- Installation
- Installing to /lib/modules/2.6.37-2-amd64/updates/dkms/

depmod....

DKMS: install Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.38-1-amd64 -C /lib/modules/2.6.38-1-amd64/build M=/var/lib/dkms/fglrx/11-4/build.....
cleaning build area....

DKMS: build Completed.

fglrx.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/2.6.38-1-amd64/updates/dkms/

depmod....

DKMS: install Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.38-2-amd64 -C /lib/modules/2.6.38-2-amd64/build M=/var/lib/dkms/fglrx/11-4/build.....
cleaning build area....

DKMS: build Completed.

fglrx.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/2.6.38-2-amd64/updates/dkms/

depmod....

DKMS: install Completed.


一応各カーネルごとにきっちり管理してくれてるようだ。
ちなみにこの出力は11.4になってるけど、午前中はまだ来てなかったので11.3のままやっていた。
なんてことだ。するともしや11.3のときからリポジトリにあったの使えば使えていたのか?
しかしこの状態で起動するとCatalystから見るとfglrxは8.841、Catalystは11.4になっている。まったくよくわからないw
この間になんどアンインストール、インストール、そして再起動を繰り返したことか。。。

とか何とかいってる間に、実は午後のUpdateでSidには11.4のfglrxがリポジトリから来ていた。はい、半日待てばなんの苦労もなかったと。リポジトリ使えと。

で、まぁいつものベンチ
# glxgears
7753 frames in 5.0 seconds = 1550.436 FPS
7500 frames in 5.0 seconds = 1499.888 FPS
7239 frames in 5.0 seconds = 1447.639 FPS
8041 frames in 5.0 seconds = 1607.891 FPS
7678 frames in 5.0 seconds = 1535.332 FPS
8007 frames in 5.0 seconds = 1601.391 FPS
8131 frames in 5.0 seconds = 1626.179 FPS
7748 frames in 5.0 seconds = 1549.432 FPS
7664 frames in 5.0 seconds = 1532.750 FPS
8122 frames in 5.0 seconds = 1624.375 FPS

うーむ。まぁ、あんまり宛にならんものだけどビミョーな結果。

ちなみにopenSUSE11.4には入れてみたけど、最初にDebianでやった時と同じようなエラーで未だ入れられていないという。。。
こっちはなんかパッケージが足りない気がする。11.4にしたときにクリーンインストールしちゃったし、リポジトリ設定もそこそこにこのドライバでハマってほぼ放置したままだし。
ま、GW使ってぼちぼち設定していきたいなぁ。

Vistaの方はどうしよう?ぶっちゃけCatalyst11.3はWindows版もLinux版もたいして変わったとこがなかったからスルーしてたんだけど

●Catalyst 11.4で解決した問題(Windows Vista)

「Windows Media Player」「Windows Media Center」でMPEG-2再生時のハードウェアアクセラレーションを利用できない問題


これは大きいような気もするけど、よくよく考えれば俺ほとんどWMPなんて使ってないんだよなぁ。

関連記事
AMDOverdriveCtrlでLinuxでもAMD OverDrive
AMD Catalyst 11.1 released
Catalyst 11.2 Released
RecoveryModeからCatalyst再インストール
Catalyst手動アンインストール on Linux
Catalyst 11.5 Released
総合案内当ブログについて
Windowsの目次Linuxの目次Linuxの目次2・ ・自作PC関連の目次Web技術関連の目次
全記事一覧情報サイト新着RSS一覧

Sponsored Link

Internet Explorer 9をVistaに入れてみたよ

IE9がとうとう正式に公開されました。

ついに公開されたIE9日本語版、注目の新機能を画像でチェック
一言でいうと「一番速い」──Internet Explorer 9日本語版を公開

基本的にFirefox使いでIEはそもそもあんまり好きじゃないんですが・・・

対応OSは32ビット版/64ビット版のWindows 7/Vista(SP2以降)、32ビット/64ビット版Windows Server 2008(SP2)、Windows Server 2008 R2で、Windows Vista/Server 2008 SP2は、プラットフォーム更新プログラム「KB971644」の適用を要する


とのことで、VistaのSP2な俺のとこでも問題なく行けるらしいのでとりあえず入れてみることに。
Internet Explorer のダウンロード

ちなみに今、この記事はそのIE9から書いてますよっと。
まぁ、速いわ。Firefox4とどっちが・・・っていうとビミョーだけど、いくつかのアドオン入れた状態のFirefoxより素のIE9のほうがちょっと速いかも?というのが俺の体感。あくまで体感。
IE8.jpgIE8の状態。
そのまま上のリンクからIE9日本語版(俺の場合Vistax32用)をDLしてインストール。
インストール自体は数分(俺環境で)。で、その後再起動を促されるので再起動。
この再起動が遅い遅いw シャットダウンに5分以上、また起動に数分かかる始末w
で、再起動してからInternet Explorer起動すると
IE9.jpgしっかりIE9に変更されてます。

ちと不安だったのがインターネットオプションやらネットワークと共有センターやらの機能に不具合が出たりすることだったんだけど、どうも今のところ心配なさげ。
Internetoption.jpg network.jpg両方極々フツーに今まで通り。

とまぁ、ここまで書いて実はFC2のエディタで「リンクの挿入」するとどうもマウスのポイント拾わずに文末に勝手に挿入される模様、ということが分かったけれども大した問題ではないかw

で、初期状態ではアドレスバー、タブ、ホーム・お気に入り・設定アイコンと一気に横並びになってて、しかもこの「設定」が使いにくいというかなんというか・・・なのはまぁ、今まで通りというかなんというか・・・

というわけで、Googletoolbar導入。で、「表示」>ツールバーから「メニューバー」「ステータスバー」「Googletoolbar」と選択。さらにタブのとこ右クリックで「別の行にタブを表示」。
IE9toolbar.jpgこれで大分好みに近づいてまいりました。
本当はタブの行は一番下に持って行きたいんだけど、このへん融通が効かないというか、できるのかできないのかよくわからんし。

Screenshot_20110419073546.pngちなみに読み込みやらが遅い時に、アドオンについて警告が出ます。
まぁ、これは切ることもできるみたいだけど。
「ツール」>「アドオンの管理」でもアドオンの設定の項目にはアクセスできるので、これが余計なお世話と感じる方は切っちゃったほうがいいんじゃないかな?
あぁ、アレか。Vista以降で「パフォーマンスの改善」かなんかで勝手に提案出されるような感じ?個人的には・・・うるさく感じますねw

ま、Webブラウズに関しては結構快適。スクロールがめっちゃスムーズになってるのが個人的に印象的。
初期状態のあまりの外観のシンプルさはChromeを意識しすぎじゃないか?と思うけど、適当にツールバーの設定すれば、それなりに各項目にアクセスしやすくはなる。
ただ、カスタマイズの柔軟性とお手軽さは当然のごとくFirefixのほうが圧倒的に上。なので、操作性とかそう言うのに拘る人はFirefox4のほうがいいとは思う。
どうも初期状態ではこれ、Chromeとの差別化ができてないような気がするけどなぁ。。。
ま、ChromeはChromeでエクステンション充実してきてるし、比較してどうかっていうとまたこの辺はビミョーなとこではあるんだけど、IE8を使い続ける理由はない、とは断言できる。IE同士で比べるとこれは大きく変わってる。新機能だけじゃなくて、操作感、速度などなど。
で、「互換モード」ってのがあるので、よほどIE9で崩れるサイトもIE8モードで表示すれば大丈夫じゃないかな?とりあえず一晩しか使ってないけど、そうそう表示が崩れるサイトはない。今のところ崩れたとこはない。大丈夫。

ま、初めて俺が「使う気になった」IEだわ。IE9。
たぶんFirefoxに戻るけどねw Firefox4が出る前ならあるいは・・・

関連記事
ブラウザシェアに見る一般人とちょっぴりギークな人の差
Google chrome4使ってみた。
Google Chrome 6の安定版リリース
Firefox 4.0 Officially Released
Firefoxの俺的依存アドオン5選(+α)
総合案内当ブログについて
Windowsの目次Linuxの目次Linuxの目次2・ ・自作PC関連の目次Web技術関連の目次
全記事一覧情報サイト新着RSS一覧

Sponsored Link

ブログ内検索

カスタム検索

フリーエリア

クリックで救える命がある。

レンタルサーバー

さくらのマネージドサーバ
さくらインターネットのVPS
ConoHaのVPS
WebARENA VPSクラウド
99円レンタルサーバー
【CloudCore VPS】
GMOクラウドのレンタルサーバー
転送量無制限 ABLENET
@WAPPYレンタルサーバー
SPPDレンタルサーバー

カテゴリー+月別アーカイブ

 

アクセスカウンター

現在の閲覧者数:

プロフィール

Author:tmin
PCヲタ。ライト2ちゃんねら。
スロット好きのギャンブラー。(元
むしろ人生がギャンブルだが目下のところ負けっぱなし。
座右の銘は「結果オーライ」。故に基本適当。
トラブルもまた楽しみのひとつ

コメント、トラバ、相互リンク歓迎。お気軽にどうぞ。
当ブログについて
Twitterでこっちとあっちの更新情報流すことにしてみます。
http://twitter.com/t_min
Project Mikunchu♪Wikiできました。
Mikunchu200x40.png


上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。